Aml.Editor.Plugin.SearchAMLLibraryFile Class Reference

This class reads the library file loaded in to the plugin "Role Class Library TreeView" and "Interface Class Library TreeView" More...

## Public Member Functions

| SearchAMLLibraryFile ()
| This is the constructor of this class where all properties are intitialised to there early state More...
void | SearchForReferencedClassName (CAEXDocument doc, string referencedClassName, InterfaceFamilyType classType)
| This method is responsible to iterate over "Interafce Class Libraries & Interafce Classes in it", and strore attributes of "Referenced Class Name" in the dictionary. More...
void | SearchForInterfaceClassesInsideInterfaceClass (CAEXDocument doc, string referencedClassName, InterfaceFamilyType classType, InterfaceFamilyType classTypeSearchForReferencedClassName)
| This class is responsible to search for interface classes ´nested inside Interface classes and recursion of this interface classes. More...
void | CheckForAttributesOfReferencedClassName (InterfaceFamilyType classType)
void | CkeckForNestedAttributesOfReferencedClassName (AttributeType attributeType, InterfaceFamilyType classType)
void | CheckForAttributesOfReferencedClassName (InterfaceFamilyType classTypeSearchForReferencedClassName, InterfaceFamilyType classType)
| This method search for "Attributes" of "referenced Class name". More...
void | CkeckForNestedAttributesOfReferencedClassName (InterfaceFamilyType classTypeSearchForReferencedClassName, AttributeType attributeType, InterfaceFamilyType classType)
| This method is responsible to check nested attributes of "Referenced Class Name" More...
void | StoreEachAttributeValueInListOfReferencedClassName (List< List< ClassOfListsFromReferencefile >> list, InterfaceFamilyType classType, AttributeType attributeType)
| This the method that stores Attribute values of "Referened Class name" of "Interface Class" in the dictionary. More...
void | StoreEachAttributeValueInListOfReferencedClassName (List< List< ClassOfListsFromReferencefile >> list, AttributeType AttributeInAttribute, InterfaceFamilyType classType, AttributeType attributeType)
| This method store nested attributes of each attribute of "Referenced CLASS name" in the dictionary. More...
void | SearchForReferencedClassNameofExternalIterface (CAEXDocument doc, string referencedClassName, InterfaceFamilyType classType, ExternalInterfaceType externalInterface)
| //This method search for "Referenced Class" of "External Interface" More...
void | SearchForInterfaceClassesInsideInterfaceClassofExternalIterface (CAEXDocument doc, string referencedClassName, InterfaceFamilyType classType, InterfaceFamilyType classTypeSearchForReferencedClassName, ExternalInterfaceType externalInterface)
| This method search for "Interface Classes" inside "Interface Classes" More...
void | CheckForAttributesOfReferencedClassNameofExternalIterface (InterfaceFamilyType classType, ExternalInterfaceType externalInterface)
| This method is responsible to Check "attributes" of "Referenced Class Name" More...
void | CkeckForNestedAttributesOfReferencedClassNameofExternalIterface (AttributeType attributeType, InterfaceFamilyType classType, ExternalInterfaceType externalInterface)
| This method is responsible to check "Nested ATtributes" of "External Interface's Attribute " More...
void | CheckForAttributesOfReferencedClassNameofExternalIterface (InterfaceFamilyType classTypeSearchForReferencedClassName, InterfaceFamilyType classType, ExternalInterfaceType externalInterface)
| This method is responsible to check "attributes" OF "Refrenced Class Name" of "ExternalInterface" More...
void | CkeckForNestedAttributesOfReferencedClassNameofExternalIterface (InterfaceFamilyType classTypeSearchForReferencedClassName, AttributeType attributeType, InterfaceFamilyType classType, ExternalInterfaceType externalInterface)
| This method is responsible to check the "Nested Attributes" of "Attributes" of"Interface Class's External interafce" More...
void | StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface (List< List< ClassOfListsFromReferencefile >> list, InterfaceFamilyType classType, AttributeType attributeType, ExternalInterfaceType externalInterface)
| This method store each "Attribute value" into respective dictionary More...
void | StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface (List< List< ClassOfListsFromReferencefile >> list, AttributeType AttributeInAttribute, InterfaceFamilyType classType, AttributeType attributeType, ExternalInterfaceType externalInterface)
| This method stores "Attributes" of "Referenced Class's External Interface" More...
void | SearchForReferencedClassName (CAEXDocument doc, string referencedClassName, RoleFamilyType classType)
| This function is responsible for checking whole document for the "Referenced Class Name": Note:- This function is a recursion function, which conduct many iterations in the document. More...
void | CheckForAttributesOfReferencedClassName (RoleFamilyType classTypeSearchForReferencedClassName, RoleFamilyType classType)
| This method is responsible for checking "Attributes" under "Referenced Class Name" More...
void | CkeckForNestedAttributesOfReferencedClassName (RoleFamilyType classTypeSearchForReferencedClassName, AttributeType attributeType, RoleFamilyType classType)
| This method check for nested attributes under attributes of "Referenced Class Name" More...
void | StoreEachAttributeValueInListOfReferencedClassName (List< List< ClassOfListsFromReferencefile >> list, RoleFamilyType classType, AttributeType attributeType)
| This fuunction stores "Attributes" of "Referenced Class Name" in the dictionary "DictionaryForRoleClassInstanceAttributes" More...
void | StoreEachAttributeValueInListOfReferencedClassName (List< List< ClassOfListsFromReferencefile >> list, AttributeType AttributeInAttribute, RoleFamilyType classType, AttributeType attributeType)
| This method is responsible to store "Nested Attributes" under "Attributes" of "Referenced Class Name" More...
void | CheckForAttributesOfReferencedClassNameofExternalIterface (RoleFamilyType classType, ExternalInterfaceType externalInterface)
| This Function is responsible to search attributes under the "Referenced Classs Name" i.e. More...
void | CkeckForNestedAttributesOfReferencedClassNameofExternalIterface (AttributeType attributeType, RoleFamilyType classType, ExternalInterfaceType externalInterface)
| This function is responsible for checking "nested attributes" under "attributes" of the "External Interface" More...
void | CheckForAttributesOfReferencedClassNameofExternalIterface (RoleFamilyType classTypeSearchForReferencedClassName, RoleFamilyType classType, ExternalInterfaceType externalInterface)
| This function is responsible to check and store "Attributes" under "External Interface" of "Referenced Class Name" of "Role Class" More...
void | CkeckForNestedAttributesOfReferencedClassNameofExternalIterface (RoleFamilyType classTypeSearchForReferencedClassName, AttributeType attributeType, RoleFamilyType classType, ExternalInterfaceType externalInterface)
| This function is responsible to check "attribute" under "attributes" i.e. More...
void | StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface (List< List< ClassOfListsFromReferencefile >> list, RoleFamilyType classType, AttributeType attributeType, ExternalInterfaceType externalInterface)
| This method is responsible to store each attribute value of "Referenced Class Name" of "External Interface" of Role Class. More...
void | StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface (List< List< ClassOfListsFromReferencefile >> list, AttributeType AttributeInAttribute, RoleFamilyType classType, AttributeType attributeType, ExternalInterfaceType externalInterface)
| This method stores the nested attributes in "DictionaryForExternalInterfacesInstancesAttributesOfRoleClassLib" More...
void | SearchForReferencedClassNameofExternalIterface (CAEXDocument doc, string referencedClassName, RoleFamilyType classType, ExternalInterfaceType externalInterface)
| This method is responsible to check for "Referenced Class Name" of "External Interfaces" under the "Role Class" This method is a recursive method, that looks for the "Referenced Class Name" of the "Extenal Interface" under "Role Class" More...
void | SearchForInterfaceClassesInsideInterfaceClass (CAEXDocument doc, string referencedClassName, RoleFamilyType classType, RoleFamilyType classTypeSearchForReferencedClassName)
| This method searches "Role Classes" under "Referenced Class Name" More...
void | SearchForInterfaceClassesInsideInterfaceClassofExternalIterface (CAEXDocument doc, string referencedClassName, RoleFamilyType classType, RoleFamilyType classTypeSearchForReferencedClassName, ExternalInterfaceType externalInterface)
| This method is a recursive method, which checks for "Refernced Class Name" under role class under role class More...
void | CheckForAttributesOfReferencedClassName (RoleFamilyType classType)
| This method is responsible for checking attributes under "Referenced Class Name" More...
void | CkeckForNestedAttributesOfReferencedClassName (AttributeType attributeType, RoleFamilyType classType)
| This method check for "nested attributes" of "referenced class name" More...
void | PrintNodesRecursiveInRoleClassLib (CAEXDocument document, TreeNode oParentNode, RoleFamilyType classType, string referencedclassName)
| This method takes arguments "TreeNode" and "RoleFamilyType" to print tree nodes in "Role Class Library TreeView " in Plugin. More...
void | PrintNodesRecursiveInInterfaceClassLib (CAEXDocument document, TreeNode oParentNode, InterfaceFamilyType classType, string referencedclassName)
| This method Takes parameters "TreeNode" and "InterfaceFamilyType" to print tree nodes in "Interface Class Library TreeView " in Plugin. More...
void | PrintExternalInterfaceNodes (CAEXDocument document, TreeNode oParentNode, ExternalInterfaceType classType, InterfaceFamilyType InterafceclassType)
| This method is called to print "External Interfaces" in both "Role class Library and Interface Class Library" in the plugin. More...
void | PrintExternalInterfaceNodes (CAEXDocument document, TreeNode oParentNode, ExternalInterfaceType classType, RoleFamilyType RoleclassType)
| This method is called to print "External Interfaces" in both "Role class Library and Interface Class Library" in the plugin. More...

## Properties

Dictionary< string, string > | DictioanryOfIDofInterfaceClassLibraryNodes `[get, set]`
| These are the properties of this class i.e. More...
Dictionary< string, List< ClassOfListsFromReferencefile > > | dictionaryofRoleClassattributes `[get, set]`
Dictionary< string, List< List< ClassOfListsFromReferencefile > > > | DictionaryForInterfaceClassInstancesAttributes `[get, set]`
Dictionary< string, List< List< ClassOfListsFromReferencefile > > > | DictionaryForExternalInterfacesInstanceAttributesofInterfaceClassLib `[get, set]`
Dictionary< string, List< List< ClassOfListsFromReferencefile > > > | DictionaryForRoleClassInstanceAttributes `[get, set]`
Dictionary< string, List< List< ClassOfListsFromReferencefile > > > | DictionaryForExternalInterfacesInstancesAttributesOfRoleClassLib `[get, set]`
string | referencedClassName `[get, set]`

## Detailed Description

This class reads the library file loaded in to the plugin "Role Class Library TreeView" and "Interface Class Library TreeView"

## Constructor & Destructor Documentation

## SearchAMLLibraryFile()

Aml.Editor.Plugin.SearchAMLLibraryFile.SearchAMLLibraryFile | ( |  | ) |

inline

This is the constructor of this class where all properties are intitialised to there early state

## Member Function Documentation

## CheckForAttributesOfReferencedClassName() [1/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CheckForAttributesOfReferencedClassName | ( | InterfaceFamilyType | classType | ) |

inline

## CheckForAttributesOfReferencedClassName() [2/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CheckForAttributesOfReferencedClassName | ( | InterfaceFamilyType | classTypeSearchForReferencedClassName,
|  | InterfaceFamilyType | classType
| ) |  |

inline

This method search for "Attributes" of "referenced Class name".

Parameters

  classTypeSearchForReferencedClassName | This is "InterfaceFamilyType", for which attributes has to be stored in dictionary.
  classType | This is "InterfaceFamilyType", to which this "referenced Class name" belongs to

## CheckForAttributesOfReferencedClassName() [3/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CheckForAttributesOfReferencedClassName | ( | RoleFamilyType | classType | ) |

inline

This method is responsible for checking attributes under "Referenced Class Name"

Parameters

  classType | This is "RoleFamilyType", which is "GroudClass"

## CheckForAttributesOfReferencedClassName() [4/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CheckForAttributesOfReferencedClassName | ( | RoleFamilyType | classTypeSearchForReferencedClassName,
|  | RoleFamilyType | classType
| ) |  |

inline

This method is responsible for checking "Attributes" under "Referenced Class Name"

Parameters

  classTypeSearchForReferencedClassName | this is "RoleFamilyType", which we are checking attributes for.
  classType | This is the "Ground Class"

## CheckForAttributesOfReferencedClassNameofExternalIterface() [1/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CheckForAttributesOfReferencedClassNameofExternalIterface | ( | InterfaceFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method is responsible to Check "attributes" of "Referenced Class Name"

Parameters

  classType | This is "InterfaceFamilyType", which is a "Ground Class".
  externalInterface | This is "ExternalInterfaceType", which attributes has to be stored in a dictionary

## CheckForAttributesOfReferencedClassNameofExternalIterface() [2/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CheckForAttributesOfReferencedClassNameofExternalIterface | ( | InterfaceFamilyType | classTypeSearchForReferencedClassName,
|  | InterfaceFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method is responsible to check "attributes" OF "Refrenced Class Name" of "ExternalInterface"

Parameters

  classTypeSearchForReferencedClassName | This is "InterfaceFamilyType", for which attributes are checked.
  classType | This is "Interface Family Type", which is a "Ground Class" used for creating Key to the dictionary.
  externalInterface |

## CheckForAttributesOfReferencedClassNameofExternalIterface() [3/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CheckForAttributesOfReferencedClassNameofExternalIterface | ( | RoleFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This Function is responsible to search attributes under the "Referenced Classs Name" i.e.

in this part "RoleFamilyType"

Parameters

  classType | This is "Ground Class we are checking attributes for."
  externalInterface | This is "ExternalInterfaceType", for which the attributes has to be checked and stored

## CheckForAttributesOfReferencedClassNameofExternalIterface() [4/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CheckForAttributesOfReferencedClassNameofExternalIterface | ( | RoleFamilyType | classTypeSearchForReferencedClassName,
|  | RoleFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This function is responsible to check and store "Attributes" under "External Interface" of "Referenced Class Name" of "Role Class"

Parameters

  classTypeSearchForReferencedClassName | This is the "Referenced Class Name" of Role Classe's "External Interface".
  classType | This is the "Role Class"
  externalInterface | Thi is the "External Interface" we are looking for.

## CkeckForNestedAttributesOfReferencedClassName() [1/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CkeckForNestedAttributesOfReferencedClassName | ( | AttributeType | attributeType,
|  | InterfaceFamilyType | classType
| ) |  |

inline

## CkeckForNestedAttributesOfReferencedClassName() [2/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CkeckForNestedAttributesOfReferencedClassName | ( | AttributeType | attributeType,
|  | RoleFamilyType | classType
| ) |  |

inline

This method check for "nested attributes" of "referenced class name"

Parameters

  attributeType | This is "AttributeType", for which nest attributes has to be checked.
  classType | This "RoleFamilyType", which is "Ground class"

Foreach attribute.....

## CkeckForNestedAttributesOfReferencedClassName() [3/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CkeckForNestedAttributesOfReferencedClassName | ( | InterfaceFamilyType | classTypeSearchForReferencedClassName,
|  | AttributeType | attributeType,
|  | InterfaceFamilyType | classType
| ) |  |

inline

This method is responsible to check nested attributes of "Referenced Class Name"

Parameters

  classTypeSearchForReferencedClassName | This is "InterfaceFamilyType", for which attributes has to be stored in dictionary.
  attributeType | This is "AttributeType", where the attributes values has to be stored
  classType | This is "InterfaceFamilyType", to which this "referenced Class name" belongs to

## CkeckForNestedAttributesOfReferencedClassName() [4/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CkeckForNestedAttributesOfReferencedClassName | ( | RoleFamilyType | classTypeSearchForReferencedClassName,
|  | AttributeType | attributeType,
|  | RoleFamilyType | classType
| ) |  |

inline

This method check for nested attributes under attributes of "Referenced Class Name"

Parameters

  classTypeSearchForReferencedClassName | This is "RoleFamilyType", which we are checking attributes
  attributeType | This is the "AttributeType", which is having "Nested Attributes"
  classType | This id the "Ground Class"

## CkeckForNestedAttributesOfReferencedClassNameofExternalIterface() [1/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CkeckForNestedAttributesOfReferencedClassNameofExternalIterface | ( | AttributeType | attributeType,
|  | InterfaceFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method is responsible to check "Nested ATtributes" of "External Interface's Attribute "

Parameters

  attributeType | This is "AttributeType" , for which nested attributes has to be checked.
  classType | This is "InterfaceFamilyType, which is "Ground Class" used while creating "keyname" in dictionary</param> <param name="externalInterface">This "ExternalInterfaceType for which attributes are checked."

## CkeckForNestedAttributesOfReferencedClassNameofExternalIterface() [2/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CkeckForNestedAttributesOfReferencedClassNameofExternalIterface | ( | AttributeType | attributeType,
|  | RoleFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This function is responsible for checking "nested attributes" under "attributes" of the "External Interface"

Parameters

  attributeType | This is the "AttributeType", which is having nested attributes.
  classType | This is the "Ground Class" we are Searching in.
  externalInterface | This is the "ExternalInterfaceType", which is having attributes.

## CkeckForNestedAttributesOfReferencedClassNameofExternalIterface() [3/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CkeckForNestedAttributesOfReferencedClassNameofExternalIterface | ( | InterfaceFamilyType | classTypeSearchForReferencedClassName,
|  | AttributeType | attributeType,
|  | InterfaceFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method is responsible to check the "Nested Attributes" of "Attributes" of"Interface Class's External interafce"

Parameters

  classTypeSearchForReferencedClassName | This is "InterfaceFamilyType", for which attributes are checked.
  attributeType | This is "AttributeType", which attribtes has to be stored.
  classType | This is "InterfceClassType", which is a "Ground Class" used for creating a key in dictionary.
  externalInterface |

## CkeckForNestedAttributesOfReferencedClassNameofExternalIterface() [4/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.CkeckForNestedAttributesOfReferencedClassNameofExternalIterface | ( | RoleFamilyType | classTypeSearchForReferencedClassName,
|  | AttributeType | attributeType,
|  | RoleFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This function is responsible to check "attribute" under "attributes" i.e.

nested attributes This function is a recursive function, which check nested attributes untill they were ended.

Parameters

  classTypeSearchForReferencedClassName | This if "RoleFamilyType", which we are storing attributes for
  attributeType | This is "AttributeType ", which retrives attribute values
  classType | This is the "Ground Class", which we are looking in
  externalInterface | This is the "external interface", under which the attributes has to be stored.

## PrintExternalInterfaceNodes() [1/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.PrintExternalInterfaceNodes | ( | CAEXDocument | document,
|  | TreeNode | oParentNode,
|  | ExternalInterfaceType | classType,
|  | InterfaceFamilyType | InterafceclassType
| ) |  |

inline

This method is called to print "External Interfaces" in both "Role class Library and Interface Class Library" in the plugin.

Parameters

  oParentNode |
  classType |

## PrintExternalInterfaceNodes() [2/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.PrintExternalInterfaceNodes | ( | CAEXDocument | document,
|  | TreeNode | oParentNode,
|  | ExternalInterfaceType | classType,
|  | RoleFamilyType | RoleclassType
| ) |  |

inline

This method is called to print "External Interfaces" in both "Role class Library and Interface Class Library" in the plugin.

Parameters

  oParentNode | This is "TreeNode", which is parent node for the new node that is going to be created using this method.
  classType | This is "RoleFamilyType", which is a "Ground Class"

## PrintNodesRecursiveInInterfaceClassLib()

void Aml.Editor.Plugin.SearchAMLLibraryFile.PrintNodesRecursiveInInterfaceClassLib | ( | CAEXDocument | document,
|  | TreeNode | oParentNode,
|  | InterfaceFamilyType | classType,
|  | string | referencedclassName
| ) |  |

inline

This method Takes parameters "TreeNode" and "InterfaceFamilyType" to print tree nodes in "Interface Class Library TreeView " in Plugin.

Parameters

  oParentNode |
  classType |

## PrintNodesRecursiveInRoleClassLib()

void Aml.Editor.Plugin.SearchAMLLibraryFile.PrintNodesRecursiveInRoleClassLib | ( | CAEXDocument | document,
|  | TreeNode | oParentNode,
|  | RoleFamilyType | classType,
|  | string | referencedclassName
| ) |  |

inline

This method takes arguments "TreeNode" and "RoleFamilyType" to print tree nodes in "Role Class Library TreeView " in Plugin.

Parameters

  oParentNode | This is a "TreeNode", which is parent node for the new node that is going to be created using this method.
  classType | This is "RoleFamilyType", which is a "Ground Class"

## SearchForInterfaceClassesInsideInterfaceClass() [1/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.SearchForInterfaceClassesInsideInterfaceClass | ( | CAEXDocument | doc,
|  | string | referencedClassName,
|  | InterfaceFamilyType | classType,
|  | InterfaceFamilyType | classTypeSearchForReferencedClassName
| ) |  |

inline

This class is responsible to search for interface classes ´nested inside Interface classes and recursion of this interface classes.

Parameters

  doc | This is the "CAEXDocument, where the search has to be done "
  referencedClassName | This is "String" variable, that stores the name of the "Referenced Class Name"
  classType | This "InterfaceFamilyType", which is a"Ground Class"
  classTypeSearchForReferencedClassName | This is "InterfaceFamilyType", where the "referenced Class Name" is presented

## SearchForInterfaceClassesInsideInterfaceClass() [2/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.SearchForInterfaceClassesInsideInterfaceClass | ( | CAEXDocument | doc,
|  | string | referencedClassName,
|  | RoleFamilyType | classType,
|  | RoleFamilyType | classTypeSearchForReferencedClassName
| ) |  |

inline

This method searches "Role Classes" under "Referenced Class Name"

Parameters

  doc | This is the document, where we are searching for "Referenced Class Name"
  referencedClassName | This is the "Referenced Class Name" i.e. "String" used to search for the name of thE "Referenced Class Name"
  classType | This is "RoleFamilyType" i.e. "Ground Class"
  classTypeSearchForReferencedClassName | This is "RoleFamilyType", under which the role clasees are searched.

## SearchForInterfaceClassesInsideInterfaceClassofExternalIterface() [1/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.SearchForInterfaceClassesInsideInterfaceClassofExternalIterface | ( | CAEXDocument | doc,
|  | string | referencedClassName,
|  | InterfaceFamilyType | classType,
|  | InterfaceFamilyType | classTypeSearchForReferencedClassName,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method search for "Interface Classes" inside "Interface Classes"

Parameters

  doc | This is "CAEXDocuemt" in which the search has to be done:
  referencedClassName | This is "String variable" in which "Refrenced Class name" is stored
  classType | This is "InterfaceFamilyType", which is a "Ground Class"´used to generate key name in dictionary.
  classTypeSearchForReferencedClassName | This is "Interface Class TYPE"; where "Interfac Classes" inside has to be searched.
  externalInterface | This is the "ExternalInterfaceType", for which refernced name attributes has to be stored.

## SearchForInterfaceClassesInsideInterfaceClassofExternalIterface() [2/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.SearchForInterfaceClassesInsideInterfaceClassofExternalIterface | ( | CAEXDocument | doc,
|  | string | referencedClassName,
|  | RoleFamilyType | classType,
|  | RoleFamilyType | classTypeSearchForReferencedClassName,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method is a recursive method, which checks for "Refernced Class Name" under role class under role class

Parameters

  doc | This is the document or file, where the search has to be done
  referencedClassName | This is the "Referenced ClassName", that we are looking i the document.
  classType | This is the "Ground Class" we stared search at.
  classTypeSearchForReferencedClassName | This is "RoleFamilType" to search, if "Role Classes" are present.
  externalInterface |

## SearchForReferencedClassName() [1/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.SearchForReferencedClassName | ( | CAEXDocument | doc,
|  | string | referencedClassName,
|  | InterfaceFamilyType | classType
| ) |  |

inline

This method is responsible to iterate over "Interafce Class Libraries & Interafce Classes in it", and strore attributes of "Referenced Class Name" in the dictionary.

Parameters

  doc | This is the "CAEXDocument, where the search has to be done "
  referencedClassName | This is "String" variable, that stores the name of the "Referenced Class Name"
  classType | This "InterfaceFamilyType", which is a"Ground Class".

## SearchForReferencedClassName() [2/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.SearchForReferencedClassName | ( | CAEXDocument | doc,
|  | string | referencedClassName,
|  | RoleFamilyType | classType
| ) |  |

inline

This function is responsible for checking whole document for the "Referenced Class Name": Note:- This function is a recursion function, which conduct many iterations in the document.

Parameters

  doc | This is the loaded document. This might be loaded by user or can be from the plugin as well.
  referencedClassName | This is the "Role Class Name" in the documentm, which the function is checking for
  classType | This is just the Class Type that we are asking this function to check in the document. i.e. (RoleFamilyType)

## SearchForReferencedClassNameofExternalIterface() [1/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.SearchForReferencedClassNameofExternalIterface | ( | CAEXDocument | doc,
|  | string | referencedClassName,
|  | InterfaceFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

//This method search for "Referenced Class" of "External Interface"

Parameters

  doc | This is "CAEXDocuemt" in which the search has to be done.
  referencedClassName | This is "String variable" in which "Refrenced Class name" is stored.
  classType | This is "InterfaceFamilyType", which is a "Ground Class"´used to generate key name in dictionary.
  externalInterface | This is the "ExternalInterfaceType", for which refernced name attributes has to be stored.

## SearchForReferencedClassNameofExternalIterface() [2/2]

void Aml.Editor.Plugin.SearchAMLLibraryFile.SearchForReferencedClassNameofExternalIterface | ( | CAEXDocument | doc,
|  | string | referencedClassName,
|  | RoleFamilyType | classType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method is responsible to check for "Referenced Class Name" of "External Interfaces" under the "Role Class" This method is a recursive method, that looks for the "Referenced Class Name" of the "Extenal Interface" under "Role Class"

Parameters

  doc | This is the document loaded from the plugin or loaded by user from his local machine.
  referencedClassName | This is the string that we are looking for inside the document.
  classType | This is the Class Type i.e. "RoleFamliyType" i.e. under "Role Classes" we are looking for.
  externalInterface | Don't forget we are looking for thev"ExtenalInterface"

## StoreEachAttributeValueInListOfReferencedClassName() [1/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.StoreEachAttributeValueInListOfReferencedClassName | ( | List< List< ClassOfListsFromReferencefile >> | list,
|  | AttributeType | AttributeInAttribute,
|  | InterfaceFamilyType | classType,
|  | AttributeType | attributeType
| ) |  |

inline

This method store nested attributes of each attribute of "Referenced CLASS name" in the dictionary.

Parameters

  list | This is list of attribute values .
  AttributeInAttribute | This is "AttributeType ", where the values has to be stored.
  classType | This is "Interafce Class", which is having "Referenced Class Name "
  attributeType | This is "AttributeType",

## StoreEachAttributeValueInListOfReferencedClassName() [2/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.StoreEachAttributeValueInListOfReferencedClassName | ( | List< List< ClassOfListsFromReferencefile >> | list,
|  | AttributeType | AttributeInAttribute,
|  | RoleFamilyType | classType,
|  | AttributeType | attributeType
| ) |  |

inline

This method is responsible to store "Nested Attributes" under "Attributes" of "Referenced Class Name"

Parameters

  list | This is the list of attributes which has to be intantiaed as an empty list .
  AttributeInAttribute | This is "AttributeType", which represents "nested attributes" of an "attribute"
  classType | This is the "Ground Class"
  attributeType | This is "AttributeType", which is the main attribute.

## StoreEachAttributeValueInListOfReferencedClassName() [3/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.StoreEachAttributeValueInListOfReferencedClassName | ( | List< List< ClassOfListsFromReferencefile >> | list,
|  | InterfaceFamilyType | classType,
|  | AttributeType | attributeType
| ) |  |

inline

This the method that stores Attribute values of "Referened Class name" of "Interface Class" in the dictionary.

Parameters

  list | This is list of attribute values .
  classType | This is "Interafce Class", which is having "Referenced Class Name "
  attributeType | This is "AttributeType", where the values has to be stored.

## StoreEachAttributeValueInListOfReferencedClassName() [4/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.StoreEachAttributeValueInListOfReferencedClassName | ( | List< List< ClassOfListsFromReferencefile >> | list,
|  | RoleFamilyType | classType,
|  | AttributeType | attributeType
| ) |  |

inline

This fuunction stores "Attributes" of "Referenced Class Name" in the dictionary "DictionaryForRoleClassInstanceAttributes"

Parameters

  list | This is the list of attributes, which has to be initiated and stores values
  classType | This is the "Ground Class"
  attributeType | This is "AttributeType", Which can give access to every value in the "Attribute"

## StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface() [1/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface | ( | List< List< ClassOfListsFromReferencefile >> | list,
|  | AttributeType | AttributeInAttribute,
|  | InterfaceFamilyType | classType,
|  | AttributeType | attributeType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method stores "Attributes" of "Referenced Class's External Interface"

Parameters

  list | This is list of "attribute values", that a"ttribute values" of "External Interfacs" has to be stored in.
  AttributeInAttribute | This is "AttributeType, for which "Nested Attributes" has to be stored.</param> <param name="classType">This is "InterfaceFamilyType", which is "Ground Class" used while naming a key in dictioonary.</param> <param name="attributeType">This "AttributeType" is nested attribute of parent attribute. </param> <param name="externalInterface">

## StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface() [2/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface | ( | List< List< ClassOfListsFromReferencefile >> | list,
|  | AttributeType | AttributeInAttribute,
|  | RoleFamilyType | classType,
|  | AttributeType | attributeType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method stores the nested attributes in "DictionaryForExternalInterfacesInstancesAttributesOfRoleClassLib"

Parameters

  list | This the list of attributes
  AttributeInAttribute | This is "AttributeType" i.e. nested attribute
  classType | This is the "RoleFamilyType" used to define the "keyname" of the dictionary
  attributeType | This is "AttributeType" under which "Nested Attributes" are present
  externalInterface | This is the "ExternalInterfaceType" used to define the "keyname" of the dictionary and also the attribute holder "External Interface"

## StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface() [3/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface | ( | List< List< ClassOfListsFromReferencefile >> | list,
|  | InterfaceFamilyType | classType,
|  | AttributeType | attributeType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method store each "Attribute value" into respective dictionary

Parameters

  list | This is the list of attribute values
  classType | This is "InterfaceFamilyType", which is "ground class" used while creating "key name" .
  attributeType | This is "AttributeType", whose values are going to be stored.
  externalInterface | This "ExternalInterfaceType", to which these attributes belong to.

## StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface() [4/4]

void Aml.Editor.Plugin.SearchAMLLibraryFile.StoreEachAttributeValueInListOfReferencedClassNameofExternalIterface | ( | List< List< ClassOfListsFromReferencefile >> | list,
|  | RoleFamilyType | classType,
|  | AttributeType | attributeType,
|  | ExternalInterfaceType | externalInterface
| ) |  |

inline

This method is responsible to store each attribute value of "Referenced Class Name" of "External Interface" of Role Class.

This method stores each value in attribute into a dictionary (DictionaryForExternalInterfacesInstancesAttributesOfRoleClassLib)

Parameters

  list | This is list of lists that can hold attribute values
  classType | RoleFamilyType is the "ground Class" We are storing this "Attributes" for
  attributeType | This is each attribute
  externalInterface | This is "external interface" we are storing "Attributes" for

## Property Documentation

## DictioanryOfIDofInterfaceClassLibraryNodes

Dictionary<string, string> Aml.Editor.Plugin.SearchAMLLibraryFile.DictioanryOfIDofInterfaceClassLibraryNodes

getset

These are the properties of this class i.e.

dictionaries where all attribute values from AML file are strored and# further retrived in "Device Description Class" to edit values by user.

## DictionaryForExternalInterfacesInstanceAttributesofInterfaceClassLib

Dictionary<string, List<List<ClassOfListsFromReferencefile> > > Aml.Editor.Plugin.SearchAMLLibraryFile.DictionaryForExternalInterfacesInstanceAttributesofInterfaceClassLib

getset

## DictionaryForExternalInterfacesInstancesAttributesOfRoleClassLib

Dictionary<string, List<List<ClassOfListsFromReferencefile> > > Aml.Editor.Plugin.SearchAMLLibraryFile.DictionaryForExternalInterfacesInstancesAttributesOfRoleClassLib

getset

## DictionaryForInterfaceClassInstancesAttributes

Dictionary<string, List<List<ClassOfListsFromReferencefile> > > Aml.Editor.Plugin.SearchAMLLibraryFile.DictionaryForInterfaceClassInstancesAttributes

getset

## DictionaryForRoleClassInstanceAttributes

Dictionary<string, List<List<ClassOfListsFromReferencefile> > > Aml.Editor.Plugin.SearchAMLLibraryFile.DictionaryForRoleClassInstanceAttributes

getset

## dictionaryofRoleClassattributes

Dictionary<string, List<ClassOfListsFromReferencefile> > Aml.Editor.Plugin.SearchAMLLibraryFile.dictionaryofRoleClassattributes

getset

## referencedClassName

string Aml.Editor.Plugin.SearchAMLLibraryFile.referencedClassName

getset

The documentation for this class was generated from the following file:

- SearchAMLLibraryFile.cs